StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

List scan result alerts

GET /api/v1/scan/{scanId}/alerts

List Scan Alerts

Lists the scan alerts associated with this scan.

A scan that has found vulnerabilities will report each finding by the HSTE Plugin that produced that finding.

An alert can be triggered multiple times, from different url paths. The pluginId associated with an alert is unique per HSTE plugin.

Scan Alerts are returned paginated and can be requested with the pagination parameters.

Application Alert

Calling this endpoint with a given scanId returns an array of one applicationScanResults object corresponding with that scan. This applicationScanResults object will also include the populated applicationAlerts field, which is the paginated results of Scan alerts found in that scan.

The applicationAlerts also includes the pluginId identifying the Alert that triggered the scan.

Meaningful scan findings (also known as Alerts) contextual to a run of HawkScan.

Parameter Default Description
scan {} The underlying scan this alert was found in.
pluginId "" The id of the Zap plugin that triggered this alert.
name "" The name of the Zap plugin this alert triggered for.
description "" A markdown flavored description of this alert.
severity "" The severity of this finding. One of "High" "Medium" or "Low".
references [] External urls and study references to understand this findings.
uriCount 0 The number of scanned urls that report this alert.
alertStatusStats [] Statistical snapshot of alerts by status.
externalAlertsResult [] External findings associated with this alert.
cweId "" The cwe id of this alert.

The scan field is available from the applicationScanResults object, but is not populated on the applicationAlert. Each applicationAlert includes a pluginId, which can be used to list the application alert findings.

See the Scan Results Analysis guide for further details on how to use these endpoints.

Requires read:scan permission.

Path parameters

scanIdstring · uuidrequired

UUID identifier for this StackHawk Scan.

Query parameters

pageSizeinteger · int32

Pagination response size limit.

default: 10
pageTokeninteger · int32

Pagination request page increment.

default: 0
sortFieldstring

Resource field to sort paginated response by.

2 available options
idname
sortDirstring

Paginated results are sorted 'asc' or 'desc'.

2 available options
ascdesc

Response

Paginated response of scan alerts.

applicationScanResults
application.ApplicationScanResult[]

found application scan alerts.

Hide child attributesShow child attributes
applicationScanResults.alertStats
application.ScanAlertStats
Hide child attributesShow child attributes
applicationScanResults.alertStats.alertStatusStats
application.AlertStatusStats[]

Statistics for findings of this scan by severity and triage status.

Hide child attributesShow child attributes
applicationScanResults.alertStats.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
applicationScanResults.alertStats.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

applicationScanResults.alertStats.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

applicationScanResults.alertStats.totalAlerts
integer<int32>

The total number of findings from the scan.

applicationScanResults.alertStats.uniqueAlerts
integer<int32>

The total number of unique findings across all paths in the scan.

applicationScanResults.appHost
string

The scanned host endpoint.

applicationScanResults.applicationAlerts
application.ApplicationAlert[]

Scan findings contextual to this application and run of HawkScan.

Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.alertStatusStats
application.AlertStatusStats[]

Statistical snapshot of alerts by status.

Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
applicationScanResults.applicationAlerts.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

applicationScanResults.applicationAlerts.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

applicationScanResults.applicationAlerts.cweId
string

The cwe id of this alert.

applicationScanResults.applicationAlerts.description
string

A markdown flavored description of this alert.

applicationScanResults.applicationAlerts.externalAlertsResult
sast.ExternalAlertsResult[] write-only

External findings associated with this alert.

Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts
sast.ExternalAlert[]
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion
sast.CodeRegion
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.endColumn
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.endLine
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.startColumn
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.startLine
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet
sast.CodeSnippet
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet.lines
sast.CodeLine[]
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet.lines.number
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet.lines.text
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.cweId
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.description
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.filePath
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.fileUrl
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.id
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.issueUrl
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.origin
enum<string>
7 available options
UNKNOWNGITHUBGITLABAZURE_REPOSBITBUCKETSEMGREPENDOR_LABS
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.severity
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.title
string
applicationScanResults.applicationAlerts.externalAlertsResult.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
applicationScanResults.applicationAlerts.externalAlertsResult.isAllExternalAlerts
boolean
applicationScanResults.applicationAlerts.externalAlertsResult.projectUrl
string
applicationScanResults.applicationAlerts.name
string

The name of the Zap plugin this alert triggered for.

applicationScanResults.applicationAlerts.pluginId
string

The id of the Zap plugin that triggered this alert.

applicationScanResults.applicationAlerts.references
string[]

External urls and study references to understand this findings.

applicationScanResults.applicationAlerts.requestMethod
string write-only deprecated

**Deprecated** - 4/25/22

applicationScanResults.applicationAlerts.scan
scanresults.Scan
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.scan.applicationId
string

the UUID applicationId corresponding to the scanned application

applicationScanResults.applicationAlerts.scan.applicationName
string

the name of the corresponding scanned application

applicationScanResults.applicationAlerts.scan.env
string

the name of the scanned environment

applicationScanResults.applicationAlerts.scan.envId
string

the UUID environmentId corresponding to the scanned environment

applicationScanResults.applicationAlerts.scan.externalUserId
string

the UUID identifier of the StackHawk user that started this scan

applicationScanResults.applicationAlerts.scan.hawkScanType
enum<string>

The type of HawkScan execution (traditional, hosted, etc.)

4 available options
HAWKSCAN_TYPE_SCANHAWKSCAN_TYPE_FLIGHTPATHHAWKSCAN_TYPE_HOSTEDHAWKSCAN_TYPE_CONFIGURATION
applicationScanResults.applicationAlerts.scan.id
string

the UUID identifier of this scan

applicationScanResults.applicationAlerts.scan.metadata
scanresults.MetaData
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.scan.metadata.tags
object
applicationScanResults.applicationAlerts.scan.parentScanId
string

If this scan is a result of a retest, this is the id of the scan it retested

applicationScanResults.applicationAlerts.scan.repoId
string

a hash of the scanned repo git name

applicationScanResults.applicationAlerts.scan.status
enum<string>

the current state of the running scan (STARTED / COMPLETED / ERROR)

4 available options
UNKNOWNCOMPLETEDERRORSTARTED
applicationScanResults.applicationAlerts.scan.timestamp
integer<int64>

seconds since unix epoch timestamp of when the scan was started

applicationScanResults.applicationAlerts.scan.version
string

the version of HawkScan used to scan this application

applicationScanResults.applicationAlerts.severity
string

The severity of this finding. One of "High" "Medium" or "Low".

applicationScanResults.applicationAlerts.uriCount
integer<int32>

The number of scanned urls that report this alert.

applicationScanResults.configHash
string

A hash of the configuration used for this run of HawkScan.

applicationScanResults.externalAlertStats
sast.ExternalAlertStats[]

External finding statistics contextual to this scan result.

Hide child attributesShow child attributes
applicationScanResults.externalAlertStats.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
applicationScanResults.externalAlertStats.projectUrl
string
applicationScanResults.metadata
scanresults.MetaData
Hide child attributesShow child attributes
applicationScanResults.metadata.tags
object
applicationScanResults.percentComplete
integer<int64>

Indicates completeness of a STARTED scan in the scan list. ERROR and COMPLETED scans report 100.

applicationScanResults.policyName
string

Named scan policy used for this run of HawkScan.

applicationScanResults.scan
scanresults.Scan
Hide child attributesShow child attributes
applicationScanResults.scan.applicationId
string

the UUID applicationId corresponding to the scanned application

applicationScanResults.scan.applicationName
string

the name of the corresponding scanned application

applicationScanResults.scan.env
string

the name of the scanned environment

applicationScanResults.scan.envId
string

the UUID environmentId corresponding to the scanned environment

applicationScanResults.scan.externalUserId
string

the UUID identifier of the StackHawk user that started this scan

applicationScanResults.scan.hawkScanType
enum<string>

The type of HawkScan execution (traditional, hosted, etc.)

4 available options
HAWKSCAN_TYPE_SCANHAWKSCAN_TYPE_FLIGHTPATHHAWKSCAN_TYPE_HOSTEDHAWKSCAN_TYPE_CONFIGURATION
applicationScanResults.scan.id
string

the UUID identifier of this scan

applicationScanResults.scan.metadata
scanresults.MetaData
Hide child attributesShow child attributes
applicationScanResults.scan.metadata.tags
object
applicationScanResults.scan.parentScanId
string

If this scan is a result of a retest, this is the id of the scan it retested

applicationScanResults.scan.repoId
string

a hash of the scanned repo git name

applicationScanResults.scan.status
enum<string>

the current state of the running scan (STARTED / COMPLETED / ERROR)

4 available options
UNKNOWNCOMPLETEDERRORSTARTED
applicationScanResults.scan.timestamp
integer<int64>

seconds since unix epoch timestamp of when the scan was started

applicationScanResults.scan.version
string

the version of HawkScan used to scan this application

applicationScanResults.scanDuration
integer<int64>

Time in seconds the scan took to run.

applicationScanResults.scanErrors
scanresults.ErrorScan[]

Errors encountered from this run of HawkScan.

Hide child attributesShow child attributes
applicationScanResults.scanErrors.category
string write-only

category of error identified in the scan

applicationScanResults.scanErrors.created
integer<int64> write-only

seconds since unix epoch of when the errorScan was found

applicationScanResults.scanErrors.error
string

a short message of the exception that occurred running HawkScan

applicationScanResults.scanErrors.errorDetail
string

expanded details and stacktrace surrounding the thrown exception in HawkScan

applicationScanResults.scanErrors.rawConf
string

the raw HawkScan configuration string, employed when this error occurred

applicationScanResults.scanProgress
scanresults.ScanProgress
Hide child attributesShow child attributes
applicationScanResults.scanProgress.globalStats
object
applicationScanResults.scanProgress.plugins
scanresults.PluginProgress[]
Hide child attributesShow child attributes
applicationScanResults.scanProgress.plugins.alertCount
integer<int64>
applicationScanResults.scanProgress.plugins.durationMillis
integer<int64>
applicationScanResults.scanProgress.plugins.messageCount
integer<int64>
applicationScanResults.scanProgress.plugins.numberRequests
integer<int64>
applicationScanResults.scanProgress.plugins.pluginId
string
applicationScanResults.scanProgress.plugins.pluginName
string
applicationScanResults.scanProgress.plugins.progress
integer<int32>
applicationScanResults.scanProgress.plugins.skippedReason
string
applicationScanResults.scanProgress.plugins.status
enum<string>
5 available options
UNKNOWNPENDINGRUNNINGCOMPLETEDSKIPPED
applicationScanResults.scanProgress.scanId
string
applicationScanResults.scanProgress.siteStats
object
applicationScanResults.severityStats
object

Recordings of scan counts made by severity and statistic.

applicationScanResults.tags
hawkscan.Tag[]

Any tags associated with this scan result.

Hide child attributesShow child attributes
applicationScanResults.tags.name
string

The keyword name.

applicationScanResults.tags.value
string

An arbitrary value to associate with the keyword.

applicationScanResults.timestamp
integer<int64>

Seconds since unix epoch time of when this was run.

applicationScanResults.urlCount
integer<int32>

The number of urls scanned.

nextPageToken
string

pageToken to provide for the next page of results.

totalCount
integer<int64>

total number of results.

applicationScanResults
application.ApplicationScanResult[]

found application scan alerts.

Hide child attributesShow child attributes
applicationScanResults.alertStats
application.ScanAlertStats
Hide child attributesShow child attributes
applicationScanResults.alertStats.alertStatusStats
application.AlertStatusStats[]

Statistics for findings of this scan by severity and triage status.

Hide child attributesShow child attributes
applicationScanResults.alertStats.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
applicationScanResults.alertStats.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

applicationScanResults.alertStats.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

applicationScanResults.alertStats.totalAlerts
integer<int32>

The total number of findings from the scan.

applicationScanResults.alertStats.uniqueAlerts
integer<int32>

The total number of unique findings across all paths in the scan.

applicationScanResults.appHost
string

The scanned host endpoint.

applicationScanResults.applicationAlerts
application.ApplicationAlert[]

Scan findings contextual to this application and run of HawkScan.

Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.alertStatusStats
application.AlertStatusStats[]

Statistical snapshot of alerts by status.

Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.alertStatusStats.alertStatus
enum<string>

Triage status of this scan alert.

5 available options
UNKNOWNFALSE_POSITIVERISK_ACCEPTEDPROMOTEDADD_COMMENT
applicationScanResults.applicationAlerts.alertStatusStats.severityStats
object

A map of finding counts by severity ("High" "Medium" "Low")

applicationScanResults.applicationAlerts.alertStatusStats.totalCount
integer<int32>

Total number of findings on paths

applicationScanResults.applicationAlerts.cweId
string

The cwe id of this alert.

applicationScanResults.applicationAlerts.description
string

A markdown flavored description of this alert.

applicationScanResults.applicationAlerts.externalAlertsResult
sast.ExternalAlertsResult[] write-only

External findings associated with this alert.

Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts
sast.ExternalAlert[]
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion
sast.CodeRegion
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.endColumn
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.endLine
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.startColumn
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeRegion.startLine
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet
sast.CodeSnippet
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet.lines
sast.CodeLine[]
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet.lines.number
integer<int32>
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.codeSnippet.lines.text
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.cweId
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.description
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.filePath
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.fileUrl
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.id
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.issueUrl
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.origin
enum<string>
7 available options
UNKNOWNGITHUBGITLABAZURE_REPOSBITBUCKETSEMGREPENDOR_LABS
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.severity
string
applicationScanResults.applicationAlerts.externalAlertsResult.externalAlerts.title
string
applicationScanResults.applicationAlerts.externalAlertsResult.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
applicationScanResults.applicationAlerts.externalAlertsResult.isAllExternalAlerts
boolean
applicationScanResults.applicationAlerts.externalAlertsResult.projectUrl
string
applicationScanResults.applicationAlerts.name
string

The name of the Zap plugin this alert triggered for.

applicationScanResults.applicationAlerts.pluginId
string

The id of the Zap plugin that triggered this alert.

applicationScanResults.applicationAlerts.references
string[]

External urls and study references to understand this findings.

applicationScanResults.applicationAlerts.requestMethod
string write-only deprecated

**Deprecated** - 4/25/22

applicationScanResults.applicationAlerts.scan
scanresults.Scan
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.scan.applicationId
string

the UUID applicationId corresponding to the scanned application

applicationScanResults.applicationAlerts.scan.applicationName
string

the name of the corresponding scanned application

applicationScanResults.applicationAlerts.scan.env
string

the name of the scanned environment

applicationScanResults.applicationAlerts.scan.envId
string

the UUID environmentId corresponding to the scanned environment

applicationScanResults.applicationAlerts.scan.externalUserId
string

the UUID identifier of the StackHawk user that started this scan

applicationScanResults.applicationAlerts.scan.hawkScanType
enum<string>

The type of HawkScan execution (traditional, hosted, etc.)

4 available options
HAWKSCAN_TYPE_SCANHAWKSCAN_TYPE_FLIGHTPATHHAWKSCAN_TYPE_HOSTEDHAWKSCAN_TYPE_CONFIGURATION
applicationScanResults.applicationAlerts.scan.id
string

the UUID identifier of this scan

applicationScanResults.applicationAlerts.scan.metadata
scanresults.MetaData
Hide child attributesShow child attributes
applicationScanResults.applicationAlerts.scan.metadata.tags
object
applicationScanResults.applicationAlerts.scan.parentScanId
string

If this scan is a result of a retest, this is the id of the scan it retested

applicationScanResults.applicationAlerts.scan.repoId
string

a hash of the scanned repo git name

applicationScanResults.applicationAlerts.scan.status
enum<string>

the current state of the running scan (STARTED / COMPLETED / ERROR)

4 available options
UNKNOWNCOMPLETEDERRORSTARTED
applicationScanResults.applicationAlerts.scan.timestamp
integer<int64>

seconds since unix epoch timestamp of when the scan was started

applicationScanResults.applicationAlerts.scan.version
string

the version of HawkScan used to scan this application

applicationScanResults.applicationAlerts.severity
string

The severity of this finding. One of "High" "Medium" or "Low".

applicationScanResults.applicationAlerts.uriCount
integer<int32>

The number of scanned urls that report this alert.

applicationScanResults.configHash
string

A hash of the configuration used for this run of HawkScan.

applicationScanResults.externalAlertStats
sast.ExternalAlertStats[]

External finding statistics contextual to this scan result.

Hide child attributesShow child attributes
applicationScanResults.externalAlertStats.integrationType
enum<string>
22 available options
UNKNOWNSLACKJIRADATADOGMSTEAMSWEBHOOKJIRA_SERVERSNYKGITHUBMERGE_AZURE_DEVOPS_BOARDSVANTAAZURE_DEVOPSBITBUCKETGITLABEMAILGITHUB_ENTERPRISEGITLAB_SELF_HOSTEDBITBUCKET_SELF_HOSTEDAZURE_DEVOPS_SELF_HOSTEDSEMGREPENDOR_LABSWIZ
applicationScanResults.externalAlertStats.projectUrl
string
applicationScanResults.metadata
scanresults.MetaData
Hide child attributesShow child attributes
applicationScanResults.metadata.tags
object
applicationScanResults.percentComplete
integer<int64>

Indicates completeness of a STARTED scan in the scan list. ERROR and COMPLETED scans report 100.

applicationScanResults.policyName
string

Named scan policy used for this run of HawkScan.

applicationScanResults.scan
scanresults.Scan
Hide child attributesShow child attributes
applicationScanResults.scan.applicationId
string

the UUID applicationId corresponding to the scanned application

applicationScanResults.scan.applicationName
string

the name of the corresponding scanned application

applicationScanResults.scan.env
string

the name of the scanned environment

applicationScanResults.scan.envId
string

the UUID environmentId corresponding to the scanned environment

applicationScanResults.scan.externalUserId
string

the UUID identifier of the StackHawk user that started this scan

applicationScanResults.scan.hawkScanType
enum<string>

The type of HawkScan execution (traditional, hosted, etc.)

4 available options
HAWKSCAN_TYPE_SCANHAWKSCAN_TYPE_FLIGHTPATHHAWKSCAN_TYPE_HOSTEDHAWKSCAN_TYPE_CONFIGURATION
applicationScanResults.scan.id
string

the UUID identifier of this scan

applicationScanResults.scan.metadata
scanresults.MetaData
Hide child attributesShow child attributes
applicationScanResults.scan.metadata.tags
object
applicationScanResults.scan.parentScanId
string

If this scan is a result of a retest, this is the id of the scan it retested

applicationScanResults.scan.repoId
string

a hash of the scanned repo git name

applicationScanResults.scan.status
enum<string>

the current state of the running scan (STARTED / COMPLETED / ERROR)

4 available options
UNKNOWNCOMPLETEDERRORSTARTED
applicationScanResults.scan.timestamp
integer<int64>

seconds since unix epoch timestamp of when the scan was started

applicationScanResults.scan.version
string

the version of HawkScan used to scan this application

applicationScanResults.scanDuration
integer<int64>

Time in seconds the scan took to run.

applicationScanResults.scanErrors
scanresults.ErrorScan[]

Errors encountered from this run of HawkScan.

Hide child attributesShow child attributes
applicationScanResults.scanErrors.category
string write-only

category of error identified in the scan

applicationScanResults.scanErrors.created
integer<int64> write-only

seconds since unix epoch of when the errorScan was found

applicationScanResults.scanErrors.error
string

a short message of the exception that occurred running HawkScan

applicationScanResults.scanErrors.errorDetail
string

expanded details and stacktrace surrounding the thrown exception in HawkScan

applicationScanResults.scanErrors.rawConf
string

the raw HawkScan configuration string, employed when this error occurred

applicationScanResults.scanProgress
scanresults.ScanProgress
Hide child attributesShow child attributes
applicationScanResults.scanProgress.globalStats
object
applicationScanResults.scanProgress.plugins
scanresults.PluginProgress[]
Hide child attributesShow child attributes
applicationScanResults.scanProgress.plugins.alertCount
integer<int64>
applicationScanResults.scanProgress.plugins.durationMillis
integer<int64>
applicationScanResults.scanProgress.plugins.messageCount
integer<int64>
applicationScanResults.scanProgress.plugins.numberRequests
integer<int64>
applicationScanResults.scanProgress.plugins.pluginId
string
applicationScanResults.scanProgress.plugins.pluginName
string
applicationScanResults.scanProgress.plugins.progress
integer<int32>
applicationScanResults.scanProgress.plugins.skippedReason
string
applicationScanResults.scanProgress.plugins.status
enum<string>
5 available options
UNKNOWNPENDINGRUNNINGCOMPLETEDSKIPPED
applicationScanResults.scanProgress.scanId
string
applicationScanResults.scanProgress.siteStats
object
applicationScanResults.severityStats
object

Recordings of scan counts made by severity and statistic.

applicationScanResults.tags
hawkscan.Tag[]

Any tags associated with this scan result.

Hide child attributesShow child attributes
applicationScanResults.tags.name
string

The keyword name.

applicationScanResults.tags.value
string

An arbitrary value to associate with the keyword.

applicationScanResults.timestamp
integer<int64>

Seconds since unix epoch time of when this was run.

applicationScanResults.urlCount
integer<int32>

The number of urls scanned.

nextPageToken
string

pageToken to provide for the next page of results.

totalCount
integer<int64>

total number of results.

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.